# Valtimo GZAC dependencies

## Dependencies

In order to create an implementation using the GZAC edition, the Valtimo GZAC dependencies module can be added as a dependency. This includes the most common modules that are used by Valtimo GZAC implementations, including the [Valtimo dependencies](/v12/fundamentals/getting-started/modules/core/valtimo-dependencies.md). The following can be added to your project, depending on whether Maven or Gradle is used:

### Backend

The samples below assume the [valtimo-dependency-versions](/v12/fundamentals/getting-started/modules/core/valtimo-dependency-versions.md) module is used. If not, please specify the artifact version as well.

#### Maven dependency:

```xml
<dependencies>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>valtimo-gzac-dependencies</artifactId>
    </dependency>
</dependencies>

```

#### Gradle dependency:

```kotlin
dependencies {
  implementation("com.ritense.valtimo:valtimo-gzac-dependencies")
}
```

### Dependencies

The following modules are added when a dependency on Valtimo GZAC dependencies is added:

* [Valtimo dependencies](/v12/fundamentals/getting-started/modules/core/valtimo-dependencies.md)
* [Besluiten API](/v12/fundamentals/getting-started/modules/zgw/besluiten-api.md)
* [Catalogi API](/v12/fundamentals/getting-started/modules/zgw/catalogi-api.md)
* [Documenten API](/v12/fundamentals/getting-started/modules/zgw/documenten-api.md)
* [Haalcentraal BRP](/v12/fundamentals/getting-started/modules/zgw/haalcentraal-brp.md)
* [Notificaties API](/v12/fundamentals/getting-started/modules/zgw/notificaties-api.md)
* [Notificaties API authentication](/v12/fundamentals/getting-started/modules/zgw/notificaties-api-authentication.md)
* [Object management](/v12/fundamentals/getting-started/modules/zgw/object-management.md)
* [Objecten API](/v12/fundamentals/getting-started/modules/zgw/objecten-api.md)
* [Objecten API authentication](/v12/fundamentals/getting-started/modules/zgw/objecten-api-authentication.md)
* [Objecttypen API](/v12/fundamentals/getting-started/modules/zgw/objecttypen-api.md)
* [Portaaltaak](/v12/fundamentals/getting-started/modules/zgw/portaaltaak.md)
* [Verzoek](/v12/fundamentals/getting-started/modules/zgw/verzoek.md)
* [Zaken API](/v12/fundamentals/getting-started/modules/zgw/zaken-api.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/fundamentals/getting-started/modules/zgw/valtimo-gzac-dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
